import { Component, Input, OnInit } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd';
import { NoticeService } from '../../../service/https/notice.service';

@Component({
  selector: 'app-path',
  templateUrl: './path.component.html',
  styleUrls: ['./path.component.styl']
})
export class PathComponent implements OnInit {
  @Input() datas: any;
  data;
  viewType = 0;

  constructor(
    private noticeService: NoticeService,
    public message: NzMessageService,
  ) {}

  ngOnInit() {
    // const jsonStr = '{"type":3,"http://190.89.233.2:8909/getpublicconfig":[{"req_ip":"192.156.3.12","interface_addr":"http://190.89.233.2:8909/getpublicconfig","req_jobnum":43327,"req_frequency":43,"req_account":"liuhr"},{"req_ip":"192.156.3.12","interface_addr":"http://190.89.233.2:8909/getpublicconfig","req_jobnum":43328,"req_frequency":44,"req_account":"sunxq01"},{"req_ip":"192.156.3.18","interface_addr":"http://190.89.233.2:8909/getpublicconfig","req_jobnum":65341,"req_frequency":45,"req_account":"shicl"},{"req_ip":"192.106.3.33","interface_addr":"http://190.89.233.2:8909/getpublicconfig","req_jobnum":65342,"req_frequency":46,"req_account":"gongxs"},{"req_ip":"192.106.3.34","interface_addr":"http://190.89.233.2:8909/getpublicconfig","req_jobnum":65343,"req_frequency":47,"req_account":"sunzs"}]}'
    // if (this.datas == null) {
    //   this.datas = JSON.parse(jsonStr);
    // }
    this.parseData(this.datas);
  }

  parseData(datas: any) {
    for (const dataKey in datas) {
      if (datas.hasOwnProperty(dataKey)) {
        if (dataKey === 'type') {
          this.viewType = datas[dataKey];
        } else {
          this.data = datas[dataKey];
        }
      }
    }
  }

  clickWihteList(data) {
    alert("点击白名单");
  }

  clickGreyList(data) {
    alert("点击灰名单");
  }

  clickFrequency(data) {
    alert("点击超链接");
  }

}
